Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/JobDao.cs
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/JobDao.cs	(revision 4422)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/JobDao.cs	(revision 4423)
@@ -81,6 +81,6 @@
     }
 
-    public void Delete(JobDto bObj) {
-      Job job = Context.Jobs.SingleOrDefault(j => j.JobId.Equals(bObj.Id));
+    public void Delete(Guid id) {
+      Job job = Context.Jobs.SingleOrDefault(j => j.JobId.Equals(id));
       Context.Jobs.DeleteOnSubmit(job);
       CommitChanges();
@@ -132,5 +132,8 @@
                     (from child in Context.Jobs
                      where child.ParentJobId == ar.Job.JobId
-                     select child.JobState == Enum.GetName(typeof(JobState), JobState.Finished)).All(x => x)
+                     select child.JobState == Enum.GetName(typeof(JobState), JobState.Finished)).All(x => x) &&
+                    (from child in Context.Jobs // avoid returning WaitForChildJobs jobs where no child-jobs exist (yet)
+                     where child.ParentJobId == ar.Job.JobId
+                     select child).Count() > 0
                   orderby ar.Job.Priority descending
                   select EntityToDto(ar.Job, null);
@@ -216,5 +219,5 @@
       target.JobId = source.Id;
 
-      target.Percentage = source.Percentage;
+      target.ExecutionTime = source.ExecutionTime;
       target.Exception = source.Exception;
 
@@ -222,8 +225,6 @@
       target.JobState = Enum.GetName(typeof(JobState), source.State);
       target.UserId = source.UserId;
-      if (source.ParentJob != null) {
-        target.ParentJobId = source.ParentJob.Id;
-      }
-
+      target.ParentJobId = source.ParentJobId;
+      
       foreach (Guid assignRessourceId in source.AssignedResourceIds) {
         if (!target.AssignedResources.Select(x => x.ResourceId).Contains(assignRessourceId)) {
@@ -251,13 +252,11 @@
 
       target.Exception = source.Exception;
-      target.Percentage = source.Percentage;
+      target.ExecutionTime = source.ExecutionTime.HasValue ? source.ExecutionTime.Value : TimeSpan.Zero;
 
       target.Priority = source.Priority;
       target.State = (JobState)Enum.Parse(typeof(JobState), source.JobState, true);
       target.UserId = source.UserId;
-
-      if (source.ParentJobId.HasValue) {
-        target.ParentJob = new JobDto() { Id = source.ParentJobId.Value };
-      }
+      target.ParentJobId = source.ParentJobId;
+      
       target.AssignedResourceIds = source.AssignedResources.Select(x => x.ResourceId).ToList();
 
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/PluginInfoDao.cs
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/PluginInfoDao.cs	(revision 4422)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/PluginInfoDao.cs	(revision 4423)
@@ -31,6 +31,6 @@
     }
 
-    public void Delete(HivePluginInfoDto bObj) {
-      PluginInfo pi = Context.PluginInfos.SingleOrDefault(p => p.PluginId.Equals(bObj.Id));
+    public void Delete(Guid id) {
+      PluginInfo pi = Context.PluginInfos.SingleOrDefault(p => p.PluginId.Equals(id));
       Context.PluginInfos.DeleteOnSubmit(pi);      
     }
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Scripts/UpdateContext.bat
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Scripts/UpdateContext.bat	(revision 4422)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Scripts/UpdateContext.bat	(revision 4423)
@@ -1,1 +1,1 @@
-sqlmetal /namespace:HeuristicLab.Hive.Server.LINQDataAccess /code:../HiveDataContext.cs /language:csharp ../HiveDataContext.xml
+sqlmetal /namespace:HeuristicLab.Hive.Server.LINQDataAccess /code:../HiveDataContext.cs /language:csharp ../HiveDataContext.dbml
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Scripts/cleanHiveDatabase.sql
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Scripts/cleanHiveDatabase.sql	(revision 4422)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Scripts/cleanHiveDatabase.sql	(revision 4423)
@@ -7,3 +7,11 @@
 DELETE FROM [HeuristicLab.Hive].[dbo].SlaveGroup_Resource
 DELETE FROM [HeuristicLab.Hive].[dbo].[Resource]
+DELETE FROM [HeuristicLab.Hive].[dbo].HiveExperiment
 DELETE FROM [HeuristicLab.Hive].[dbo].Job
+
+/** only jobs & experiments **/
+DELETE FROM [HeuristicLab.Hive].[dbo].AssignedResources
+DELETE FROM [HeuristicLab.Hive].[dbo].RequiredPlugins
+DELETE FROM [HeuristicLab.Hive].[dbo].PluginInfo
+DELETE FROM [HeuristicLab.Hive].[dbo].HiveExperiment
+DELETE FROM [HeuristicLab.Hive].[dbo].Job
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Scripts/prepareHiveDatabase.sql
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Scripts/prepareHiveDatabase.sql	(revision 4422)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Scripts/prepareHiveDatabase.sql	(revision 4423)
@@ -14,4 +14,5 @@
 ALTER TABLE dbo.UptimeCalendar ALTER COLUMN UptimeCalendarId DROP ROWGUIDCOL;
 ALTER TABLE dbo.UptimeStatistics ALTER COLUMN UptimeStatisticsId DROP ROWGUIDCOL;
+ALTER TABLE dbo.HiveExperiment ALTER COLUMN HiveExperimentId DROP ROWGUIDCOL;
 
 ALTER TABLE dbo.AssignedResources DROP CONSTRAINT [DF_AssignedResources_AssignedRessourcesId];
@@ -25,4 +26,5 @@
 ALTER TABLE dbo.UptimeCalendar DROP CONSTRAINT [DF_UptimeCalendar_UptimeCalendarId];
 ALTER TABLE dbo.UptimeStatistics DROP CONSTRAINT [DF_UptimeStatistics_UptimeStatisticsId];
+ALTER TABLE dbo.HiveExperiment DROP CONSTRAINT [[DF_HiveExperiment_HiveExperimentId]];
 */
 
@@ -58,4 +60,7 @@
 ALTER TABLE dbo.UptimeStatistics WITH NOCHECK ADD CONSTRAINT [DF_UptimeStatistics_UptimeStatisticsId] DEFAULT (newid()) FOR UptimeStatisticsId;
 
+ALTER TABLE dbo.HiveExperiment ALTER COLUMN HiveExperimentId ADD ROWGUIDCOL;
+ALTER TABLE dbo.HiveExperiment WITH NOCHECK ADD CONSTRAINT [DF_HiveExperiment_HiveExperimentId] DEFAULT (newid()) FOR HiveExperimentId;
+
 /* create indices */
 CREATE INDEX Index_RequiredPlugins_JobId ON RequiredPlugins(JobId);
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/SlaveConfigDao.cs
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/SlaveConfigDao.cs	(revision 4422)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/SlaveConfigDao.cs	(revision 4423)
@@ -30,6 +30,6 @@
     }
 
-    public void Delete(SlaveConfigDto bObj) {
-      Context.SlaveConfigs.DeleteOnSubmit(Context.SlaveConfigs.SingleOrDefault(c => c.SlaveConfigId.Equals(bObj.Id)));
+    public void Delete(Guid id) {
+      Context.SlaveConfigs.DeleteOnSubmit(Context.SlaveConfigs.SingleOrDefault(c => c.SlaveConfigId.Equals(id)));
       CommitChanges();
     }
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/SlaveDao.cs
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/SlaveDao.cs	(revision 4422)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/SlaveDao.cs	(revision 4423)
@@ -55,6 +55,6 @@
 
     //Cascading delete takes care of the rest
-    public void Delete(SlaveDto info) {
-      Resource res = Context.Resources.SingleOrDefault(c => c.ResourceId.Equals(info.Id));            
+    public void Delete(Guid id) {
+      Resource res = Context.Resources.SingleOrDefault(c => c.ResourceId.Equals(id));            
       Context.Resources.DeleteOnSubmit(res);
       CommitChanges();
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/SlaveGroupDao.cs
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/SlaveGroupDao.cs	(revision 4422)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/SlaveGroupDao.cs	(revision 4423)
@@ -36,10 +36,10 @@
     }
 
-    public void Delete(SlaveGroupDto bObj) {
+    public void Delete(Guid id) {
       
       //Deleting all references
-      Context.SlaveGroup_Resources.DeleteAllOnSubmit(Context.SlaveGroup_Resources.Where(cg => cg.SlaveGroupId.Equals(bObj.Id)));
+      Context.SlaveGroup_Resources.DeleteAllOnSubmit(Context.SlaveGroup_Resources.Where(cg => cg.SlaveGroupId.Equals(id)));
 
-      Resource res = Context.Resources.SingleOrDefault(c => c.ResourceId.Equals(bObj.Id));
+      Resource res = Context.Resources.SingleOrDefault(c => c.ResourceId.Equals(id));
 
       Context.Resources.DeleteOnSubmit(res);
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/UptimeCalendarDao.cs
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/UptimeCalendarDao.cs	(revision 4422)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/UptimeCalendarDao.cs	(revision 4423)
@@ -65,6 +65,6 @@
     }
 
-    public void Delete(AppointmentDto bObj) {
-      Context.UptimeCalendars.DeleteOnSubmit(Context.UptimeCalendars.SingleOrDefault(uc => uc.UptimeCalendarId.Equals(bObj.Id)));
+    public void Delete(Guid id) {
+      Context.UptimeCalendars.DeleteOnSubmit(Context.UptimeCalendars.SingleOrDefault(uc => uc.UptimeCalendarId.Equals(id)));
       CommitChanges();
     }
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerApplication.cs
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerApplication.cs	(revision 4422)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerApplication.cs	(revision 4423)
@@ -45,8 +45,9 @@
 
         lifecycleManager = ServiceLocator.GetLifecycleManager();
-        lifecycleManager.Init();
+        lifecycleManager.Start();
 
         Form mainForm = new MainForm(GetBaseAddresses());
         Application.Run();
+        
       } finally {
         foreach (ServiceHost host in serviceHosts.Values) {
@@ -55,5 +56,5 @@
         }
         if (lifecycleManager != null)
-          lifecycleManager.Shutdown();
+          lifecycleManager.Stop();
       }
     }
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj	(revision 4422)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj	(revision 4423)
@@ -142,33 +142,33 @@
       <LastGenOutput>Settings.Designer.cs</LastGenOutput>
     </None>
-    <None Include="Service References\SlaveFacade\Arrays.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\SlaveFacade\HeuristicLab.DataAccess.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\SlaveFacade\HeuristicLab.Hive.Contracts.BusinessObjects.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\SlaveFacade\HeuristicLab.Hive.Contracts.ResponseObjects.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\SlaveFacade\HeuristicLab.Hive.Contracts.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\SlaveFacade\HeuristicLab.PluginInfrastructure.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\SlaveFacade\Message.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\SlaveFacade\service.wsdl" />
-    <None Include="Service References\SlaveFacade\service.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\SlaveFacade\service1.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\SlaveFacade\System.xsd">
+    <None Include="Service References\SlaveFacade\Arrays1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveFacade\HeuristicLab.DataAccess1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveFacade\HeuristicLab.Hive.Contracts.BusinessObjects1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveFacade\HeuristicLab.Hive.Contracts.ResponseObjects1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveFacade\HeuristicLab.Hive.Contracts1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveFacade\HeuristicLab.PluginInfrastructure1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveFacade\Message1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveFacade\service1.wsdl" />
+    <None Include="Service References\SlaveFacade\service2.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveFacade\service21.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveFacade\System1.xsd">
       <SubType>Designer</SubType>
     </None>
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/Arrays1.xsd
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/Arrays1.xsd	(revision 4423)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/Arrays1.xsd	(revision 4423)
@@ -0,0 +1,28 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:tns="http://schemas.microsoft.com/2003/10/Serialization/Arrays" elementFormDefault="qualified" targetNamespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
+  <xs:complexType name="ArrayOfKeyValueOfguidduration">
+    <xs:annotation>
+      <xs:appinfo>
+        <IsDictionary xmlns="http://schemas.microsoft.com/2003/10/Serialization/">true</IsDictionary>
+      </xs:appinfo>
+    </xs:annotation>
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="KeyValueOfguidduration">
+        <xs:complexType>
+          <xs:sequence>
+            <xs:element name="Key" type="ser:guid" />
+            <xs:element name="Value" type="ser:duration" />
+          </xs:sequence>
+        </xs:complexType>
+      </xs:element>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfKeyValueOfguidduration" nillable="true" type="tns:ArrayOfKeyValueOfguidduration" />
+  <xs:complexType name="ArrayOfguid">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="guid" type="ser:guid" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfguid" nillable="true" type="tns:ArrayOfguid" />
+</xs:schema>
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/HeuristicLab.DataAccess1.xsd
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/HeuristicLab.DataAccess1.xsd	(revision 4423)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/HeuristicLab.DataAccess1.xsd	(revision 4423)
@@ -0,0 +1,10 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
+  <xs:complexType name="PersistableObject">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="Id" type="ser:guid" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="PersistableObject" nillable="true" type="tns:PersistableObject" />
+</xs:schema>
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/HeuristicLab.Hive.Contracts.BusinessObjects1.xsd
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/HeuristicLab.Hive.Contracts.BusinessObjects1.xsd	(revision 4423)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/HeuristicLab.Hive.Contracts.BusinessObjects1.xsd	(revision 4423)
@@ -0,0 +1,206 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" />
+  <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
+  <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
+  <xs:import namespace="http://schemas.datacontract.org/2004/07/System" />
+  <xs:complexType name="SlaveDto">
+    <xs:complexContent mixed="false">
+      <xs:extension base="tns:ResourceDto">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="CalendarSyncStatus" type="tns:CalendarState" />
+          <xs:element minOccurs="0" name="Config" nillable="true" type="tns:SlaveConfigDto" />
+          <xs:element minOccurs="0" name="CpuSpeedPerCore" nillable="true" type="xs:int" />
+          <xs:element minOccurs="0" name="FreeMemory" nillable="true" type="xs:int" />
+          <xs:element minOccurs="0" name="IsAllowedToCalculate" type="xs:boolean" />
+          <xs:element minOccurs="0" name="Login" nillable="true" type="xs:dateTime" />
+          <xs:element minOccurs="0" name="Memory" nillable="true" type="xs:int" />
+          <xs:element minOccurs="0" name="NrOfCores" nillable="true" type="xs:int" />
+          <xs:element minOccurs="0" name="NrOfFreeCores" nillable="true" type="xs:int" />
+          <xs:element minOccurs="0" name="State" type="tns:SlaveState" />
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+  <xs:element name="SlaveDto" nillable="true" type="tns:SlaveDto" />
+  <xs:complexType name="ResourceDto">
+    <xs:complexContent mixed="false">
+      <xs:extension xmlns:q1="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" base="q1:PersistableObject">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="Name" nillable="true" type="xs:string" />
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+  <xs:element name="ResourceDto" nillable="true" type="tns:ResourceDto" />
+  <xs:simpleType name="CalendarState">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="Fetch" />
+      <xs:enumeration value="ForceFetch" />
+      <xs:enumeration value="Fetching" />
+      <xs:enumeration value="Fetched" />
+      <xs:enumeration value="NotAllowedToFetch" />
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:element name="CalendarState" nillable="true" type="tns:CalendarState" />
+  <xs:complexType name="SlaveConfigDto">
+    <xs:complexContent mixed="false">
+      <xs:extension xmlns:q2="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" base="q2:PersistableObject">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="HeartBeatIntervall" nillable="true" type="xs:int" />
+          <xs:element minOccurs="0" name="UpDownTimeCalendar" nillable="true" type="xs:string" />
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+  <xs:element name="SlaveConfigDto" nillable="true" type="tns:SlaveConfigDto" />
+  <xs:simpleType name="SlaveState">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="NullState" />
+      <xs:enumeration value="Idle" />
+      <xs:enumeration value="Calculating" />
+      <xs:enumeration value="Offline" />
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:element name="SlaveState" nillable="true" type="tns:SlaveState" />
+  <xs:complexType name="HeartBeatData">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="FreeCores" type="xs:int" />
+      <xs:element minOccurs="0" name="FreeMemory" type="xs:int" />
+      <xs:element minOccurs="0" name="IsAllowedToCalculate" type="xs:boolean" />
+      <xs:element xmlns:q3="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="JobProgress" nillable="true" type="q3:ArrayOfKeyValueOfguidduration" />
+      <xs:element minOccurs="0" name="SlaveId" type="ser:guid" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="HeartBeatData" nillable="true" type="tns:HeartBeatData" />
+  <xs:complexType name="JobDto">
+    <xs:complexContent mixed="false">
+      <xs:extension xmlns:q4="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" base="q4:PersistableObject">
+        <xs:sequence>
+          <xs:element xmlns:q5="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="AssignedResourceIds" nillable="true" type="q5:ArrayOfguid" />
+          <xs:element minOccurs="0" name="CoresNeeded" type="xs:int" />
+          <xs:element minOccurs="0" name="DateCalculated" nillable="true" type="xs:dateTime" />
+          <xs:element minOccurs="0" name="DateCreated" nillable="true" type="xs:dateTime" />
+          <xs:element minOccurs="0" name="DateFinished" nillable="true" type="xs:dateTime" />
+          <xs:element minOccurs="0" name="Exception" nillable="true" type="xs:string" />
+          <xs:element minOccurs="0" name="ExecutionTime" type="ser:duration" />
+          <xs:element minOccurs="0" name="MemoryNeeded" type="xs:int" />
+          <xs:element minOccurs="0" name="ParentJobId" nillable="true" type="ser:guid" />
+          <xs:element minOccurs="0" name="PluginsNeeded" nillable="true" type="tns:ArrayOfHivePluginInfoDto" />
+          <xs:element minOccurs="0" name="Priority" type="xs:int" />
+          <xs:element minOccurs="0" name="Project" nillable="true" type="tns:ProjectDto" />
+          <xs:element minOccurs="0" name="Slave" nillable="true" type="tns:SlaveDto" />
+          <xs:element minOccurs="0" name="State" type="tns:JobState" />
+          <xs:element minOccurs="0" name="UserId" type="ser:guid" />
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+  <xs:element name="JobDto" nillable="true" type="tns:JobDto" />
+  <xs:complexType name="ArrayOfHivePluginInfoDto">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="HivePluginInfoDto" nillable="true" type="tns:HivePluginInfoDto" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfHivePluginInfoDto" nillable="true" type="tns:ArrayOfHivePluginInfoDto" />
+  <xs:complexType name="HivePluginInfoDto">
+    <xs:complexContent mixed="false">
+      <xs:extension xmlns:q6="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" base="q6:PersistableObject">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="Name" nillable="true" type="xs:string" />
+          <xs:element minOccurs="0" name="Update" type="xs:boolean" />
+          <xs:element xmlns:q7="http://schemas.datacontract.org/2004/07/System" minOccurs="0" name="Version" nillable="true" type="q7:Version" />
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+  <xs:element name="HivePluginInfoDto" nillable="true" type="tns:HivePluginInfoDto" />
+  <xs:complexType name="ProjectDto">
+    <xs:complexContent mixed="false">
+      <xs:extension xmlns:q8="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" base="q8:PersistableObject">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="Name" nillable="true" type="xs:string" />
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+  <xs:element name="ProjectDto" nillable="true" type="tns:ProjectDto" />
+  <xs:simpleType name="JobState">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="Calculating" />
+      <xs:enumeration value="Offline" />
+      <xs:enumeration value="Finished" />
+      <xs:enumeration value="Aborted" />
+      <xs:enumeration value="SnapshotRequested" />
+      <xs:enumeration value="SnapshotSent" />
+      <xs:enumeration value="Pending" />
+      <xs:enumeration value="Failed" />
+      <xs:enumeration value="WaitForChildJobs" />
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:element name="JobState" nillable="true" type="tns:JobState" />
+  <xs:complexType name="ArrayOfHivePluginFile">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="HivePluginFile" nillable="true" type="tns:HivePluginFile" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfHivePluginFile" nillable="true" type="tns:ArrayOfHivePluginFile" />
+  <xs:complexType name="HivePluginFile">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="BinaryFile" nillable="true" type="xs:base64Binary" />
+      <xs:element minOccurs="0" name="Name" nillable="true" type="xs:string" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="HivePluginFile" nillable="true" type="tns:HivePluginFile" />
+  <xs:complexType name="ArrayOfAppointmentDto">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="AppointmentDto" nillable="true" type="tns:AppointmentDto" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfAppointmentDto" nillable="true" type="tns:ArrayOfAppointmentDto" />
+  <xs:complexType name="AppointmentDto">
+    <xs:complexContent mixed="false">
+      <xs:extension xmlns:q9="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" base="q9:PersistableObject">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="AllDayEvent" type="xs:boolean" />
+          <xs:element minOccurs="0" name="EndDate" type="xs:dateTime" />
+          <xs:element minOccurs="0" name="Recurring" type="xs:boolean" />
+          <xs:element minOccurs="0" name="RecurringId" type="ser:guid" />
+          <xs:element minOccurs="0" name="ResourceId" type="ser:guid" />
+          <xs:element minOccurs="0" name="StartDate" type="xs:dateTime" />
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+  <xs:element name="AppointmentDto" nillable="true" type="tns:AppointmentDto" />
+  <xs:complexType name="SerializedJob">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="JobInfo" nillable="true" type="tns:JobDto" />
+      <xs:element minOccurs="0" name="SerializedJobData" nillable="true" type="xs:base64Binary" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="SerializedJob" nillable="true" type="tns:SerializedJob" />
+  <xs:complexType name="ArrayOfJobResult">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="JobResult" nillable="true" type="tns:JobResult" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfJobResult" nillable="true" type="tns:ArrayOfJobResult" />
+  <xs:complexType name="JobResult">
+    <xs:complexContent mixed="false">
+      <xs:extension xmlns:q10="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess" base="q10:PersistableObject">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="DateCalculated" nillable="true" type="xs:dateTime" />
+          <xs:element minOccurs="0" name="DateCreated" nillable="true" type="xs:dateTime" />
+          <xs:element minOccurs="0" name="DateFinished" nillable="true" type="xs:dateTime" />
+          <xs:element minOccurs="0" name="Exception" nillable="true" type="xs:string" />
+          <xs:element minOccurs="0" name="ExecutionTime" type="ser:duration" />
+          <xs:element minOccurs="0" name="ParentJobId" nillable="true" type="ser:guid" />
+          <xs:element minOccurs="0" name="SlaveId" type="ser:guid" />
+          <xs:element minOccurs="0" name="State" type="tns:JobState" />
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+  <xs:element name="JobResult" nillable="true" type="tns:JobResult" />
+</xs:schema>
